Skip to main content
GET
List users with permissions

Authorizations

Authorization
string
header
required

Send Authorization: Bearer , using an MKA1 API key for automation or an OAuth API access token for a signed-in application. Use a dynamic security callback to refresh OAuth access tokens. Browser session-only operations still require their declared cookie.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

resourceType
enum<string>
required

Type of LLM resource

Available options:
completion,
file,
vector_store,
conversation,
response,
skill
resourceId
string
required

Unique identifier for the resource

Required string length: 1 - 79
role
enum<string>
required

Permission role for the resource (owner > writer > reader)

Available options:
owner,
writer,
reader
continuationToken
string

Pagination token for fetching next page of results

Response

Successfully retrieved list of users

users
string[]
required

Array of user IDs with the specified role

Unique identifier for the user, or "*" to grant/revoke public access

Required string length: 1 - 169
continuationToken
string

Token for fetching the next page of results